//CUITileNationalityLarge - [2020-04-13 11:57:47]
#ifndef _CUITILENATIONALITYLARGE_H_
#define _CUITILENATIONALITYLARGE_H_

#include "CUITile.h"

/*
0013E294 CUITileNationalityLarge::CUITileNationalityLarge(int)
0013E338 CUITileNationalityLarge::~CUITileNationalityLarge()
0013E364 CUITileNationalityLarge::~CUITileNationalityLarge()
0013E2E8 CUITileNationalityLarge::SetupFromNationality(int)
0013E374 CUITileNationalityLarge::Render()
0013E604 CUITileNationalityLarge::GetFlagTexture(int)
0013E628 CUITileNationalityLarge::GetNationID(int)
0013E634 CUITileNationalityLarge::NextContinent()
0013E658 CUITileNationalityLarge::InitialiseCountryArray()
0013E688 CUITileNationalityLarge::PreviousContinent()
0013E6AC CUITileNationalityLarge::Process()
0013E89E CUITileNationalityLarge::GetNumPagesOnCurrentContinent()
0013E8B0 CUITileNationalityLarge::FindNationality(int,int)
*/

class CUITileNationalityLarge : public CUITile {
public:
  CUITileNationalityLarge(int);          //0013E294
  ~CUITileNationalityLarge();            //0013E338  0013E364
  virtual EUITileAction Process();       //0013E6AC
  virtual void Render();                 //0013E374
  void SetupFromNationality(int);        //0013E2E8
  void GetFlagTexture(int);              //0013E604
  void GetNationID(int);                 //0013E628
  void NextContinent();                  //0013E634
  void InitialiseCountryArray();         //0013E658
  void PreviousContinent();              //0013E688
  void GetNumPagesOnCurrentContinent();  //0013E89E
  void FindNationality(int, int);        //0013E8B0
};

#endif  //_CUITILENATIONALITYLARGE_H_